LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSignatureVerifyResultBroadcaster Interface Reference

Interface of Signature Verify Result Broadcaster. More...

`import"XSignatureVerifyResultBroadcaster.idl";`

Inheritance diagram for XSignatureVerifyResultBroadcaster:

## Public Member Functions
void | addSignatureVerifyResultListener ([in] XSignatureVerifyResultListener listener) raises ( com::sun::star::uno::Exception )
| Adds a new signature verify result listener. More...
void | removeSignatureVerifyResultListener ([in] XSignatureVerifyResultListener listener)
| Removes a signature verify result listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of Signature Verify Result Broadcaster.

This interface is used to manipulate signature verify result listener.

## Member Function Documentation

## ◆ addSignatureVerifyResultListener()

void addSignatureVerifyResultListener | ( | [in] XSignatureVerifyResultListener | listener | ) |
raises | ( | com::sun::star::uno::Exception
| ) |  |

Adds a new signature verify result listener.

When the signature is verified, the result information will be sent to this listener.

Parameters

  listener | the listener to be added

## ◆ removeSignatureVerifyResultListener()

void removeSignatureVerifyResultListener | ( | [in] XSignatureVerifyResultListener | listener | ) |

Removes a signature verify result listener.

After a listener is removed, no result information will be sent to it.

Parameters

  listener | the listener to be removed

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/sax/XSignatureVerifyResultBroadcaster.idl